package akhlys.fastdirsync;

import java.nio.file.Path;

/**
 * A struct for each file difference
 */
public class FileDifference {
	public FileDifference(Path sourceFile, Path targetFile, FileDiffType diffType) {
		this.sourceFile = sourceFile;
		this.targetFile = targetFile;
		this.diffType = diffType;
	}
	
	public Path sourceFile = null;
	public Path targetFile = null;
	public FileDiffType diffType = null;
	
	@Override
	public String toString() {
		return "Source: " + sourceFile + ", target: " + targetFile + ", diff: " + diffType.name();
	}
}
